%define name	pyds
%define version 0.7.3
%define release %mkrel 10

Name: 	 	%{name}
Summary: 	Python Desktop Server
Version: 	%{version}
Release: 	%{release}

Source:		PyDS-%{version}.tar.bz2
URL:		http://pyds.muensterland.org/
License:	BSD
Group:		System/Servers
BuildRequires:	python-devel
Requires:	python-medusa
Requires:	python-cheetah
Requires:	python-pyrex
Requires:	python-docutils
Requires:	python-imaging
Requires:	metakit-python
Requires:	PyXML
Requires:	python-soap >= 0.11.1
Requires:	libjpeg
Requires:	zlib1
Provides:	PyDS
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Python Desktop Server is a combined Weblog authoring tool, XMLRPC/SOAP
server, and news aggregator. It allows one to read RSS news feeds, post to a
community server (such as Radio Userland or any Python Community Server
installation), and includes tools for Weblog and homepage management. It
features a Web interface, a built-in Web server, extensibility through scripts
that connect via XMLRPC or macros, and a plugin architecture.

To setup your portal, run pyds-start, then browse http://localhost:4334.

%prep
%setup -q -n PyDS-%version

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}/usr

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE OVERVIEW README 
%_bindir/pyds-*
/usr/lib/python2*/site-packages/PyDS
/usr/lib/python2*/site-packages/*.egg-info
%_datadir/%name




%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-10mdv2010.0
+ Revision: 441986
- rebuild

* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 0.7.3-9mdv2009.1
+ Revision: 325948
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-8mdv2009.0
+ Revision: 259423
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7.3-7mdv2009.0
+ Revision: 247262
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.3-5mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.3-5mdv2008.0
+ Revision: 81329
- fix dependencies on x86_64

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.3-4mdv2008.0
+ Revision: 78758
- fix dependencies

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - fixed dep on python-pyrex


* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.7.3-3mdv2007.0
+ Revision: 94347
- bump release
- fix packaging for x86_64
- %%mkrel
- Import pyds

* Tue Dec 07 2004 Austin Acton <austin@mandrake.org> 0.7.3-1mdk
- 0.7.3

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.7.2-2mdk
- Rebuild for new python

* Thu May 13 2004 Austin Acton <austin@mandrake.org> 0.7.2-1mdk
- 0.7.2

* Sun Feb 22 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- 0.7.1
- requires python-soap

* Wed Jan 14 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Thu Dec 11 2003 Austin Acton <austin@linux.ca> 0.6.5-1mdk
- 0.6.5

